---
updatedAt: 2026-04-21T13:02:35.000Z
---

Fetch the complete documentation index at: https://docs.massivemusic.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Device status for off-line streaming

Get the offline status of a specified device. 

This status can be changed with a POST to the user/unlimitedStreaming/offline endpoint.

![OAuth](https://files.readme.io/0bdd3d5-Asset_15.png "OAuth signature required") ![User token](https://files.readme.io/ecfdd80-Asset_14.png "User access token or id")

<span class="req_resp">Example request</span>

```http HTTPS
GET https://api.7digital.com/1.2/user/unlimitedStreaming/offline?oauth_consumer_key=YOUR_KEY_HERE&country=GB&userId=141732543&clientId=e5ada89d-db5b-4d0e-b70b-820796d7d583&oauth_token=...
```

<span class="req_resp">Example Response</span>

```xml 200
<response status=”ok” version=”1.2”>
  <offlineStatus>
    <offlineEnabled>true</offlineEnabled>
    <offlineMaxTrackCount>4000</offlineMaxTrackCount>
  </offlineStatus>
</response>
```

<span class="req_resp">Specific Error Codes</span>

* **1001 - Missing parameter "parameter name".** Not all mandatory parameters were specified in the request.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.7digital.com/1.2/"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/user/unlimitedStreaming/offline": {
      "get": {
        "summary": "Device status for off-line streaming",
        "description": "Get the offline status of a specified device. \n\nThis status can be changed with a POST to the user/unlimitedStreaming/offline endpoint.\n\n![OAuth](https://files.readme.io/0bdd3d5-Asset_15.png \"OAuth signature required\") ![User token](https://files.readme.io/ecfdd80-Asset_14.png \"User access token or id\")",
        "operationId": "device-status-for-off-line-streaming",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "description": "ISO 2-character code of the country the end user resides in.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "userId",
            "in": "query",
            "description": "The unique identifier of the user.  For information on creating users [click here](https://docs.massivemusic.com/reference/create-a-new-partner-user).",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "clientId",
            "in": "query",
            "description": "A unique identifier for the current device you're checking the offline status of.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "http",
              "code": "https://api.7digital.com/1.2/user/unlimitedStreaming/offline?oauth_consumer_key=YOUR_KEY_HERE&clientId=xyz&oauth_token=...",
              "name": "EXAMPLE REQUEST"
            }
          ],
          "samples-languages": [
            "http"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```